Part Helix: Difference between revisions

From FreeCAD Documentation
Line 69: Line 69:
* {{PropertyData|Angle|Angle}}: The angle that defines of the outer shape of the helix. Valid range: {{Value|-90° < value < 90°}}. The default is {{Value|0°}}. If it is {{Value|0°}} the helix is cylindrical, else it is conical.
* {{PropertyData|Angle|Angle}}: The angle that defines of the outer shape of the helix. Valid range: {{Value|-90° < value < 90°}}. The default is {{Value|0°}}. If it is {{Value|0°}} the helix is cylindrical, else it is conical.


==Scripting==
== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
A Part Helix is created with the {{Incode|addObject()}} method of the document.

A Part Helix can be created with the {{Incode|addObject()}} method of the document:


</translate>
</translate>
Line 79: Line 81:
<translate>
<translate>


* Where {{Incode|myHelix}} is the name for the object. The name must be unique for the entire document.
* Where {{Incode|"myHelix"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.


Example:
The {{Incode|Label}} is the user editable name for the object. It can be easily changed by


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
helix.Label = "new myHelixName"
}}
<translate>


doc = App.activeDocument()
You can access and modify attributes of the {{Incode|helix}} object. For example, you may wish to modify the pitch, height and radius parameters.


helix = doc.addObject("Part::Helix", "myHelix")
</translate>
{{Code|code=
helix.Pitch = 2
helix.Pitch = 2
helix.Height = 3
helix.Height = 3
Line 99: Line 98:
helix.SegmentLength = 21
helix.SegmentLength = 21
helix.Angle = 45
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}
}}
<translate>
<translate>


You can change its placement and orientation with:

</translate>
{{Code|code=
helix.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))
}}
<translate>


<!--T:19-->
<!--T:19-->
Line 121: Line 116:


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:21, 2 March 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Helix

Menu location
Part → Create primitives → Helix
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Helix is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the axis of the helix matches the Z axis and its bottom point, the start point, lies on the X axis.

Usage

See Part Primitives.

Example

Part Helix from the scripting example

A Part Helix object created with the scripting example below is shown here.

Notes

Properties

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • DataLocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • DataPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DataHeight (Length): The height of the helix. The default is 2mm.
  • DataRadius (Length): The start radius of the helix. The helix has a constant radius if DataAngle is .
  • DataSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DataAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()